﻿
@font-face {
    font-family: 'Outfit';
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(https://bmagcdn.blob.core.windows.net/static/outfit/QGYvz_MVcBeNP4NJtEtq.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

#summersale {
    font-family: 'Outfit',sans-serif;
    font-size: 16px;
}

body {
    color: #17171A;
    overflow-x: hidden;
    background-color: #FABF01;
}

h1 {
    font-size: 0.00001rem;
    line-height: 1.4em;
    font-weight: 400;
    color: #FAF9F6;
    padding-top: 0;
    padding-bottom: 60px;
    margin-bottom: 0;
}

    h1 strong {
        font-weight: 900;
    }

h2 {
    font-size: 1.333rem;
    line-height: 1.4em;
    font-weight: 900;
    color: #FAF9F6;
    padding-bottom: 30px;
    margin-bottom: 0;
}

h3 {
    font-size: 1.333rem;
    font-weight: 700;
    color: #383838;
}

p {
    margin-bottom: 30px;
    line-height: 1.4em;
    font-weight: 400;
}

    p.text-white {
        color: #FAF9F6;
    }

    p strong {
        font-weight: 700;
    }

a.button-primary, button.button-primary {
    width: 250px;
    display: flex;
    align-items: center;
    background-color: #0EC0E5 !important;
    border: 1px solid #0EC0E5;
    color: #fff !important;
    font-size: 0.889rem !important;
    font-weight: 500 !important;
    padding: 0px 50px;
    border-radius: 8px;
    transition: all 0.2s ease !important;
    text-transform: none;
    height: 48px;
    margin: 0 auto 0 !important;
}

    a.button-primary:hover, a.button-primary:focus, a.button-primary:active,
    button.button-primary:hover, button.button-primary:focus, button.button-primary:active {
        background-color: #0ca5c4 !important;
    }

a.button-big, button.button-big {
    width: auto;
    height: 64px !important;
    border-radius: 32px !important;
    border: none !important;
    background: #0EC0E5;
}

    a.button-big:hover, button.button-big:hover {
        background: #0ca5c4 !important;
        transform: scale(1.05);
    }

.open-info {
    font-size: 18px;
    line-height: 12px;
    font-weight: 600;
    position: relative;
    cursor: pointer;
    white-space: nowrap;
    margin-top: -38px;
    margin-left: 5px;
}

    .open-info span {
        font-size: .65rem;
        line-height: 14px;
        display: inline-block !important;
        width: 16px;
        height: 16px;
        border-radius: 50%;
        background-color: transparent;
        font-weight: 700;
        position: relative;
        text-align: center;
        vertical-align: middle;
        margin-right: 3px;
    }

    .open-info .info-container {
        display: none;
        width: 280px;
        height: auto;
        position: absolute;
        left: 50%;
        margin-left: -140px;
        padding-top: 10px;
        top: 100%;
        z-index: 2;
    }

        .open-info .info-container .info-container-content {
            width: 280px;
            background: #fff;
            border: 1px solid #b2b2b2;
            border-radius: 8px;
            color: #1d1d1f;
            font-size: 0.75rem;
            padding: 10px 15px;
            text-align: left;
            line-height: 1.4em;
            white-space: normal;
        }

    .open-info:hover .info-container, .open-info:focus .info-container {
        display: block;
    }

        .open-info:hover .info-container ul {
            list-style: initial;
            padding-left: 20px;
        }

            .open-info:hover .info-container ul li {
                margin: 0;
                padding: 0;
                font-size: 0.75rem;
                line-height: 1.4em;
            }

                .open-info:hover .info-container ul li:before {
                    content: none;
                }

.flex-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    max-width: 1520px;
    padding: 50px 20px;
    margin: 0 auto;
}

.container-short {
    max-width: 890px;
}

section {
    margin: 0;
}


.will-fadeIn {
    opacity: 0;
}

.fadeInLeft {
    animation: fadeInLeft 0.75s ease;
    opacity: 1;
}

.fadeInRight {
    animation: fadeInRight 0.75s ease;
    opacity: 1;
}

@keyframes fadeInLeft {
    from {
        opacity: 0;
        transform: translate3d(-100px, 0, 0);
    }

    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

@keyframes fadeInRight {
    from {
        opacity: 0;
        transform: translate3d(100px, 0, 0);
    }

    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

.fadeInBehind {
    animation: fadeInBehind 0.75s ease;
    opacity: 1;
}

@keyframes fadeInBehind {
    from {
        opacity: 0;
        transform: scale(0.9);
        transform-origin: center;
    }

    to {
        opacity: 1;
        transform: scale(1);
        transform-origin: center;
    }
}

#summersale-hero {
    position: relative;
    color: #FAF9F6;
    padding-top: 140px;
    min-height: 100vh;
}

    #summersale-hero:before {
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        height: 300px;
        background: #FE6E00;
        background: linear-gradient(180deg,rgba(254, 110, 0, 1) 0%, rgba(250, 191, 1, 1) 100%);
    }

#summersale-leafs-left {
    position: absolute;
    left: 0;
    top: 0;
    width: 40%;
    max-width: 500px;
    z-index: 2;
    opacity: 0;
}

#summersale-leafs-right {
    position: absolute;
    right: 0;
    top: 0;
    width: 45%;
    max-width: 570px;
    z-index: 2;
    opacity: 0;
}

h1 img {
    display: block;
    position: relative;
    width: 80%;
    max-width: 550px;
    margin: 0 auto;
    opacity: 0;
    filter: drop-shadow(0 8px 6px rgba(0, 0, 0, 0.12));
}

#summersale-guy {
    width: 80%;
    position: absolute;
    z-index: 1;
    display: none;
    opacity: 0;
}

#summersale-hero-content {
    z-index: 3;
    position: relative;
    opacity: 0;
}

#summersale-hero-content small {
    color:#fff;
}

#summersale-hero .container {
    padding-top: 0;
}

#summersale-hero p {
    font-size: 1.333rem;
}

#copy-container {
    cursor: pointer;
    display: inline-block;
    width: auto;
    max-width: 380px;
    border: 2px solid #FAF9F6;
    background-color: transparent;
    padding: 6px 16px;
    color: #FAF9F6;
    margin-left: 8px;
    text-align: center;
    position: relative;
    border-radius: 18px;
    top: -2px;
    margin-top: 8px;
}

    #copy-container:hover {
        background-color: rgba(255,255,255,.2);
    }

    #copy-container .code-copy {
        font-size: 16px;
        font-weight: 400;
    }


    #copy-container:focus strong {
        animation: animateCopy;
        animation-duration: 3s;
    }

    #copy-container:active strong {
        animation: none;
    }

@keyframes animateCopy {
    0% {
        opacity: 1;
        transform: scale(1)
    }

    20% {
        opacity: 0;
        transform: scale(.6)
    }

    80% {
        opacity: 0;
        transform: scale(.6)
    }

    100% {
        opacity: 1;
        transform: scale(1)
    }
}

.code-copied {
    position: absolute;
    left: 0;
    right: 0;
    top: 5.5px;
    opacity: 0;
    color: #fff;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .code-copied img {
        width: 20px;
        filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(170deg) brightness(102%) contrast(102%);
        display: inline-block;
        margin-right: 10px;
    }

#copy-container:focus .code-copied {
    animation: animateCopied;
    animation-duration: 3s;
}

#copy-container:active .code-copied {
    animation: none;
}

@keyframes animateCopied {
    0% {
        opacity: 0;
        transform: scale(0.6);
    }

    10% {
        opacity: 0;
        transform: scale(0.6);
    }

    30% {
        opacity: 1;
        transform: scale(1);
    }

    60% {
        opacity: 1;
        transform: scale(1);
    }

    80% {
        opacity: 0;
        transform: scale(0.6);
    }

    100% {
        opacity: 0;
        transform: scale(0.6);
    }
}

.inline-button-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

#summersale-magazines {
    position: relative;
    z-index: 1;
}

.summersale-items-container {
    display: grid;
    justify-content: center;
    flex-wrap: wrap;
    gap: 60px 40px;
    max-width: 360px;
    margin: 44px auto 0;
}

.summersale-item {
    width: 100%;
    padding: 16px;
    background-color: #FAF9F6;
    border-radius: 16px;
    color: #383838;
    text-align: center;
    transition: transform 0.2s ease;
}

    .summersale-item:hover {
        transform: scale(1.05);
        transition: transform 0.3s ease;
        z-index: 2;
    }

    .summersale-item h3 {
        margin-bottom: 24px;
    }


    .summersale-item .image-container {
        background-color: #F8F8FB;
        margin-bottom: 30px;
        width: 100%;
        aspect-ratio: 1/0.416;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        border-radius: 16px;
        box-shadow: 0 12px 16px 0 rgba(0,0,0,.12);
        overflow: hidden;
    }

#messeangebot-services .image-container {
    aspect-ratio: 1/0.435;
}

.summersale-item .image-container img {
    width: 100%;
    object-fit: cover;
}

.image-container.aktionaer {
    background-color: #ea1b2c;
}

.image-container.boerseonline, .image-container.euroamsonntag, .image-container.euro {
    background-color: #f5f4f9;
}

.image-container .badge {
    position: absolute;
    right: 0px;
    top: 0px;
    background-color: #3D9A0B;
    color: #fff;
    font-size: 14px;
    padding: 0px 16px;
    height: 26px;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    border-radius: 0 0 0 12px
}

.summersale-item a {
    color: #008AE4;
    font-weight: 700;
    font-size: 0.889rem;
}

.icon-info {
    background-image: url("https://images.boersenmedien.com/images/2e63b9eb-d4e8-471f-97b7-64fa0598a019.svg");
    width: 12px;
    height: 12px;
    margin-right: 8px;
    margin-top: -2px;
}

.icon-book {
    background-image: url("https://images.boersenmedien.com/images/8293db2d-9781-4352-9b5c-017682c94fa0.svg");
    width: 35px;
    height: 28px;
    margin-right: 15px;
    margin-top: -2px;
}

.icon-bull {
    background-image: url("https://images.boersenmedien.com/images/771cdd49-0477-4ff9-a6ea-4d78dcb2d450.svg");
    width: 30px;
    height: 32px;
    margin-right: 15px;
    margin-top: -2px;
}

.icon-blue {
    filter: invert(34%) sepia(90%) saturate(1098%) hue-rotate(177deg) brightness(100%) contrast(106%);
}

@media screen and (min-width: 490px) {
    #summersale-hero {
        padding-top: 210px;
    }
}

@media screen and (min-width: 768px) {
    h2 {
        font-size: 1.8rem;
        padding-bottom: 40px;
    }

    .container {
        padding-left: 40px;
        padding-right: 40px;
    }

    #summersale-hero {
        padding-top: 180px;
    }

    #hero-image {
        max-width: none;
        margin-top: 80px;
        margin-bottom: 55px;
    }

    .inline-button-container {
        display: flex;
        flex-wrap: wrap;
        gap: 40px;
        justify-content: center;
    }

    .summersale-items-container {
        grid-template-columns: 1fr 1fr;
        max-width: 768px;
        margin-top: 64px;
    }
}

@media screen and (min-width: 1024px) {
    html {
        font-size: 18px;
    }

    h2 {
        font-size: 2.33rem;
    }

    .container {
        padding: 75px 40px;
    }



    .summersale-items-container {
        grid-template-columns: 1fr 1fr 1fr;
        max-width: none;
    }

    #summersale-magazines .summersale-items-container {
        grid-template-columns: 1fr 1fr;
        max-width: 768px;
    }
}

@media screen and (min-width: 1280px) {
    .flex-col-xl-1-2 {
        flex-basis: 50%;
    }

    .flex-col-xl-1-4 {
        flex-basis: 25%;
    }

    #blackfriday-magazine-list .flex-container {
        padding: 0 20px;
    }

    .summersale-items-container {
        grid-template-columns: 1fr 1fr 1fr;
        max-width: none;
    }

    #summersale-magazines .summersale-items-container {
        grid-template-columns: 1fr 1fr 1fr 1fr;
        max-width: none;
    }
}

@media screen and (min-width: 1400px) {
    #summersale-guy {
        width: 950px;
        position: absolute;
        top: 480px;
        right: 45%;
        display: block;
        transform: rotate(-5.27deg);
        transform-origin: center;
    }
}

@media screen and (min-width: 1500px) {
    #summersale-guy {
        width: 1050px;
        position: absolute;
        right: 50%;
        display: block;
        transform: rotate(-5.27deg);
        transform-origin: center;
    }
}

@media screen and (min-width: 1600px) {
    #summersale-guy {
        width: 1100px;
        position: absolute;
        right: 50%;
        display: block;
        transform: rotate(-5.27deg);
        transform-origin: center;
    }
}

@media screen and (min-width: 2000px) {
    #summersale-guy {
        width: 1100px;
        position: absolute;
        top: 300px;
        right: 50%;
        display: block;
        transform: rotate(-5.27deg);
        transform-origin: center;
    }
}



#countdown-container {
    margin: 50px 0;
    padding: 30px;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, rgba(216, 63, 63, 0.2) 40.38%, rgba(216, 63, 63, 0.4) 50%, rgba(216, 63, 63, 0.2) 60.1%, rgba(255, 255, 255, 0) 100%);
}

    #countdown-container p:first-child {
        font-size: 1rem;
        text-transform: uppercase;
    }

#hero-countdown {
    display: flex;
    justify-content: center;
    margin-bottom: 40px;
}

.countdown {
    display: flex;
    gap: 6px;
    color: #fff;
}

    .countdown > div {
        display: flex;
        flex-direction: column;
        gap: 0px;
        align-items: center;
    }

    .countdown .num {
        font-size: 1.8rem;
    }

    .countdown .word {
        font-size: 1em;
        font-weight: 400;
    }

    .countdown span {
        font-weight: 700;
    }

.day, .hour, .min {
    position: relative;
    padding-right: 20px;
    margin-right: 5px;
    font-variant-numeric: tabular-nums;
    -webkit-font-feature-settings: "tnum" 1;
    -moz-font-feature-settings: "tnum" 1;
    -ms-font-feature-settings: "tnum" 1;
    -o-font-feature-settings: "tnum" 1;
    font-feature-settings: "tnum" 1;
}

    .day:after, .hour:after, .min:after {
        content: ':';
        font-size: 2rem;
        font-weight: 900;
        position: absolute;
        right: 0;
        top: -3px;
    }

@media screen and (min-width: 768px) {
    #hero-countdown {
        left: 49%;
        right: auto;
        bottom: auto;
        top: 66%
    }

    .countdown {
        gap: 10px;
    }
}

@media screen and (min-width: 1280px) {
    #hero-countdown {
        left: 66.5%;
        bottom: 23%;
        top: auto;
    }

    .countdown {
        gap: 10px;
    }

        .countdown .num {
            font-size: 2.22rem;
        }

    .day:after, .hour:after, .min:after {
        top: 0px;
    }
}

@media (prefers-reduced-motion: reduce) {
    .animation {
        animation: dissolve 4s linear infinite both;
        background-color: green;
        text-decoration: overline;
    }
}
